<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Category;
use App\Models\Product;

class Product extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'retailer_id'
    ];

    public function categories()
    {
        return $this->belongsToMany(Category::class, 'category_product');
    }
}
